:root {
  --dark-color: #151226;
  --contrast-color: #ffc800;
}
.overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  height: 100%;
  z-index: -10;
  background-color: var(--contrast-color);
}

.container-style {
  display: flex;
  height: 800px;
  justify-content: space-around;
  align-items: center;
  color: #fff;
  animation: expand 0.8s ease forwards;
  background-color: var(--dark-color);
  background-image: url("/image/Map-1.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  transition: all 0.8s ease;
}
.container-style2 {
  display: flex;
  height: 800px;
  justify-content: space-around;
  align-items: center;
  color: #fff;
  animation: expand2 0.8s ease forwards;
  background-color: var(--dark-color);
  background-image: url("/image/Map-2.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  transition: all 0.8s ease;
}
.container-style3 {
  display: flex;
  height: 800px;
  justify-content: space-around;
  align-items: center;
  color: #fff;
  animation: expand 0.8s ease forwards;
  background-color: var(--dark-color);
  background-image: url("/image/Map-3.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  transition: all 0.8s ease;
}
.container-style4 {
  display: flex;
  width: 100%;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  align-items: center;
  color: #fff;
  animation: expand 0.8s ease forwards;
  background-color: var(--dark-color);
  background-image: url("/image/Map-4.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  transition: all 0.8s ease;
}

.wrap {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.container_content {
  width: 50%;
}

.container_content_inner {
  width: 80%;
  margin-left: 80px;
}

.container_outer_img {
  margin: 50px;
  width: 50%;
  overflow: hidden;
}

.container_img {
  width: 100%;
  animation: slideIn 1.5s ease-in-out forwards;
}

.par {
  height: auto;
  overflow: hidden;
}

.par p {
  font-size: 24px;
  line-height: 30px;
  transform: translateY(300px);
  animation: slideUp 0.8s ease-in-out forwards 0.8s;
}

.btns {
  height: 100%;
  position: relative;
  width: 150px;
  overflow: hidden;
}

.title {
  overflow: hidden;
  height: auto;
}

.title h1 {
  font-size: 42px;
  color: var(--contrast-color);
  margin-bottom: 20px;
  transform: translateY(100px);
  animation: slideUp 0.8s ease forwards 0.5s;
}
.feature-title h1 {
  font-size: 42px;
  color: var(--contrast-color);
  margin-bottom: 20px;
  text-align: center;
  transform: translateY(100px);
  animation: slideUp 0.8s ease forwards 0.5s;
}
.background {
  max-width: 1280px;
  background: rgba(38, 38, 38, 0.44);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5.1px);
  -webkit-backdrop-filter: blur(5.1px);
  border: 1px solid rgba(38, 38, 38, 0.62);
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}
.container_outer {
  margin: 20px 90px 20px 90px;
  max-width: 1200px;
  display: grid;
  grid-template-columns: auto auto auto;
  gap: 40px;
  align-items: center;
  text-align: center;
  justify-content: space-around;
}
.feature {
  max-width: 250px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  justify-content: center;
}
.img-inner-feature {
  max-width: 120px;
  margin: 20px;
}
.wordings {
  height: 180px;
  animation: slideUp 0.8s ease forwards 0.5s;
}

@keyframes slideIn {
  0% {
    transform: translateX(900px) scale(0.2);
  }
  100% {
    transform: translateX(0px) scale(1);
  }
}

@keyframes slideUp {
  0% {
    transform: translateY(300px);
  }
  100% {
    transform: translateY(0px);
  }
}

@keyframes expand {
  0% {
    transform: translateX(1800px);
  }
  100% {
    transform: translateX(0px);
  }
}
@keyframes expand2 {
  0% {
    transform: translateX(-1800px);
  }
  100% {
    transform: translateX(0px);
  }
}

@media (max-width: 1200px) {
  .container-style,
  .container-style2,
  .container-style3 {
    flex-direction: column;
    text-align: center;
    justify-content: center;
  }
  .container-style,
  .container-style3 {
    flex-direction: column-reverse;
  }
  .container_outer_img {
    margin: 0;
  }
  .container_content_inner {
    margin: 0;
    align-items: center;
    width: 100%;
  }
  .container_content_inner h1 {
    margin: 0;
  }
}
@media (max-width: 1000px) {
  .container_outer {
    display: flex;
    flex-wrap: wrap;
  }
  .background {
    max-width: 700px;
    height: 100%;
  }
}
@media (max-width: 600px) {
  .background {
    max-width: 400px;
    height: 100%;
  }
  .title h1 {
    font-size: 1.6em;
  }
  .par p {
    font-size: 1.2em;
  }
}
@media (max-width: 350px) {
  .background {
    max-width: 280px;
    height: 100%;
  }
}
